### Method

# Vips Image matrixinvert

#### Declaration [src]

    int
    vips_matrixinvert (
      VipsImage* m,
      VipsImage** out,
      ...
    )

#### Description [src]

This operation calculates the inverse of the matrix represented in `m`. The scale and offset members of the input matrix are ignored.

See also

`vips_matrixload()`, `vips_matrixmultiply()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output matrix.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.